package de.hdm_stuttgart.mi.sd1.task2.demo;

import de.hdm_stuttgart.mi.sd1.task2.LengthUnitCalculator;
import de.hdm_stuttgart.mi.sd1.task2.Unit;

/**
 * <p>{@link LengthUnitCalculator} default unit choosing demo.</p>
 */
public class NonDefaultUnitDemo {

    /**
     * <p>{@link LengthUnitCalculator} default unit choosing demo.</p>
     * @param args Unused
     */
    public static void main(String[] args) {

        final LengthUnitCalculator c = new LengthUnitCalculator(Unit.INCH); // Default unit inch.

        System.out.println("Turning inches into meter");
        c.setLength(1);                                                     // Default unit still inch
        c.setUnit(Unit.METER);                                              // Switching from inch to meter
        System.out.println("meter: " + c.getLength());                      // Printing 1 inch in meter.
    }
}
